﻿/* Base element: Hero banner */
/*--Styles Banner--*/
.derko-bannerModel {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  position: relative;
  font-family: var(--family-paragraph);
  max-width: 1920px;
  margin: 0 auto;
}

.large-heading h1 {
  color: var(--brand-white);
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  font-family: var(--font-family-1);
  font-size: 40px;
  font-style: normal;
  font-weight: 700;
  line-height: 50px;
  /* 125% */
  text-transform: uppercase;
}

.boxBannerCTA {
  position: absolute;
  top: calc(50% - 10rem);
  left: 4%;
}

.containerToGoUpBannerCTA {
  position: relative;
  top: -40px;
  min-width: 17.1rem;
  min-height: 12.1rem;
  padding: 0.5rem 0rem;
}

.text_banner_CTA {
  text-align: left;
  width: 34.25rem;
}

.p_banner_cta {
  font-family: var(--font-family-1);
  font-size: var(--paragraph-1);
  text-transform: initial;
  margin-top: .5rem;
}

.derko-bannerModel .gradient_bannerCTA {
  position: relative;
}

@media (max-width: 460px) {
  .derko-bannerModel .gradient_bannerCTA {
    position: relative;
    display: inline-block;
  }
}

@media (min-width: 770px) {
  .derko-bannerModel .gradient_bannerCTA:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 70%;
    height: 100%;
    display: inline-block;
    background: linear-gradient(to right, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
  }
}

.shadow-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 75%;
  height: 100%;
  opacity: 0.67;
  background: linear-gradient(to right, var(--black) 14.89%, transparent 100%);
}

/*------Typographic-----*/
.derko-bannerModel .large-heading {
  max-width: 24.75rem;
  font-style: normal;
  font-weight: var(--weight-bolder);
  font-size: var(--title-1);
  line-height: 3.125rem;
  text-transform: uppercase;
  color: var(--brand-white);
  font-family: var(--font-family-1);
  border-bottom: 1.6px solid transparent;
  border-image: linear-gradient(90deg, white, transparent);
  border-image-slice: 1;
  border-image-repeat: round;
}

.derko-bannerModel .block-heading {
  color: var(--brand-white);
  font-family: var(--font-family-1);
  font-size: var(--title-6);
  font-style: normal;
  font-weight: var(--weight-normal);
  line-height: 1.625rem;
  letter-spacing: 0.025rem;
  max-width: 36.25rem;
}

.derko-bannerModel .block-price {
  font-family: var(--font-family-1);
  font-style: normal;
  font-weight: var(--weight-normal);
  font-size: var(--paragraph-3);
  text-transform: uppercase;
  color: var(--brand-white);
  line-height: var(--title-6);
  letter-spacing: 0.035rem;
}

/* .block-price > h2 {
  color: var(--brand-white);
  font-family: var(--font-family-1-1);
  font-size: var(--title-3);
  font-style: normal;
  font-weight: var(--weight-bolder);
  line-height: 2.625rem;
  text-transform: uppercase;
} */

.block-price .price-vehicles {
  color: var(--brand-white);
  font-family: var(--font-family-1);
  font-size: var(--title-3);
  font-style: normal;
  font-weight: var(--weight-bolder);
  line-height: 2.625rem;
  text-transform: uppercase;
}

.derko-bannerModel .Price-for {
  font-family: var(--font-family-1);
  font-style: normal;
  font-weight: var(--weight-bold);
  font-size: var(--paragraph-3);
  line-height: 140%;
  text-transform: initial;
  margin-bottom: 0.2rem;
  margin-top: 1.25rem;
}

/*--WaterMark--*/
.derko-bannerModel #arrow-Img-watter-Mark {
  position: absolute;
  top: 27%;
  left: 30%;
}

.boxBannerTextModelP {
  position: absolute;
  top: 0;
  margin: 5rem;
}

.derko-bannerModel .gradientBanner {
  background: linear-gradient(180deg, #000000 14.89%, rgba(0, 0, 0, 0) 100%);
  opacity: 0.7;
  transform: rotate(-90deg);
  position: absolute;
  height: calc(100% - 3px);
  width: 60%;
}

/*----Butons Black and White----*/

.Arrow-Button-Banner-black {
  padding-bottom: 4%;
  cursor: pointer;
}

.banner-configurator_buttons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 8px 32px;
  gap: 8px;
  border-color: #0a0a0a;
}

.buttons_black {
  max-width: 25.313rem;
  max-height: 3.75rem;
  background: var(--brand);
  justify-content: center;
  font-family: var(--font-family-1);
  padding: 12px;
  text-align: center;
  /* border: 2px solid var(--gray-light-3);*/
}

.black-btn {
  font-style: normal;
  font-weight: var(--weight-bolder);
  font-size: var(--paragraph-1);
  color: white;
  max-width: 405px;
  text-decoration: none;
  text-align: center;
  text-transform: uppercase;
}

.buttons_white {
  max-width: 25.313rem;
  max-height: 3.75rem;
  font-size: var(--paragraph-1);
  font-family: var(--font-family-1);
  justify-content: center;
  border: 1px solid;
  /*anchura, estilo y color borde*/
  padding: 12px;
  /*espacio alrededor texto*/
  text-align: center;
}

.white-btn {
  font-style: normal;
  font-weight: 400;
  font-size: var(--paragraph-1);
  line-height: 22px;
  color: var(--gray-light-3);
  max-width: 405px;
  text-decoration: none;
  text-transform: uppercase;
}

.link-wrapper {
  border: 1px solid var(--darkGray);
  padding: 1rem 0;
  margin-top: 2.5rem;
  width: 100%;
}

.buttons_black {
  color: var(--brand-white);
  background-color: var(--brand);
  border: 2px solid var(--brand);
  place-items: center;
  gap: 0.5rem;
}

.buttons_black:hover,
.buttons_black:hover .black-btn {
  color: var(--white);
  /* background-color: var(--gray-dark-1); */
  /*border: 2px solid var(--brand-dark);*/
}

.buttons_black:active,
.buttons_black:active {
  color: var(--white);
  /*        background-color: var(--brand-dark-dark);*/
  border: 2px solid var(--brand);
}

.buttons_white {
  color: var(--brand-white);
  background-color: none;
  border: 2px solid var(--brand-white);
}

.buttons_white:hover,
.buttons_white:hover .white-btn {
  color: var(--white);
  background-color: var(--darkGray);
  /*-webkit-text-fill-color: var(--brand-black);*/
  /*border: 2px solid var(--brand);*/
}

.buttons_white:active,
.buttons_white:active {
  color: var(--white);
  /*background-color: var( --gray-light-1);*/
  border: 2px solid var(--white);
}

.buttons_black:hover,
.buttons_black:hover {
  color: var(--white);
  background-color: var(--brand-dark);
  border: 2px solid var(--brand-dark);
}

.buttons_black:active,
.buttons_black:active {
  color: var(--white);
  background-color: var(--brand-dark);
  border: 2px solid var(--brand-dark);
}

.Arrow-Button-Banner-White {
  cursor: pointer;
}

.derko-bannerModel #arrow-Img-watter-Mark {
  top: 25%;
  left: 80%;
}

.hero-banner__dynamic-view {
  position: relative;
}

.hero-banner__dynamic-view__banner-content {
  position: absolute;
  top: 0;
  width: 66%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #fff;
  background-image: linear-gradient(90deg,
      rgba(0, 0, 0, 0.8) 20%,
      rgba(255, 255, 255, 0) 57%);
  padding: 0 5rem;
}

.hero-banner__dynamic-view__banner-content>h1 {
  font-family: var(--font-family-1);
  font-size: var(--title-1);
  font-weight: var(--weight-bolder);
  text-transform: uppercase;
}

.hero-banner__dynamic-view__banner-content>p {
  font-family: var(--font-family-1);
  font-size: var(--title-6);
  font-weight: var(--weight-normal);
  letter-spacing: 0.4px;
}

.hero-banner__dynamic-view>picture>img {
  width: 100%;
}

@media (max-width: 1407px) {
  .large-heading h1 {
    color: var(--brand-white);
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    font-family: var(--font-family-1);
    font-size: var(--title-2);
    font-style: normal;
    font-weight: var(--weight-bolder);
    line-height: 32px;
    text-transform: uppercase;
  }

  .large-heading p {
    color: var(--brand-white);
    font-family: var(--font-family-1);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
  }

  .large-heading p {
    font-size: 16px;
  }
}

@media (max-width: 1367px) {
  .derko-bannerModel .large-heading {
    line-height: 3.125rem;
    text-transform: uppercase;
  }

  .derko-bannerModel .block-heading {
    font-family: var(--font-family-1);
    font-size: var(--paragraph-1);
    font-style: normal;
    font-weight: var(--weight-normal);
    line-height: 1.625rem;
    /* 144.444% */
    letter-spacing: 0.045rem;
  }

  .derko-bannerModel .containerToGoUpBannerCTA {
    top: -53px;
    /* left: -58px; */
  }

  .derko-bannerModel .block-price {
    font-size: 0.875rem;
    font-style: normal;
    line-height: 1.25rem;
    letter-spacing: 0.035rem;
  }

  .block-price>h2 {
    line-height: 2.625rem;
  }
}

@media (max-width: 1268px) {
  .derko-bannerModel img.boxBannerImageModel {
    min-height: 28.8rem;
    object-fit: cover;
  }

  .derko-bannerModel .large-heading {
    max-width: 21.813rem;
    font-weight: var(--weight-normal);
    font-size: var(--title-5);
    line-height: 2rem;
  }

  .derko-bannerModel .block-heading {
    max-width: 21.813rem;
    font-weight: var(--paragraph-3);
    line-height: 1.25rem;
  }

  .derko-bannerModel .block-price>h2 {
    font-size: 1.375rem;
    line-height: 1.875rem;
  }

  .derko-bannerModel .buttons_black,
  .derko-bannerModel .buttons_white {
    max-width: 21.8rem;
    max-height: 3rem;
  }
}

/*@media (max-width: 1280px) {
    .boxBannerTextModelP {
        margin: 4rem;
    }
}*/
/*@media (max-width: 1080px) {
    .derko-bannerModel #arrow-Img-watter-Mark {
        top: 36%;
        left: 30%;
    }
}
@media (max-width:1024px) {
    .hero-banner__dynamic-view__banner-content {
        padding: 1rem 6.5rem 0 3.5rem;
    }
}

@media (max-width:790px) {
    .hero-banner__dynamic-view__banner-content {
        padding: 1rem 1.5rem 0 2rem;
    }
}*/
@media (max-width: 769px) {
  .derko-bannerModel .gradient_bannerCTA.gradientApplied:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: inline-block;
    background: linear-gradient(to top, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0)) !important;
  }

  .derko-bannerModel .gradient_bannerCTA:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: inline-block;
  }

  .derko-bannerModel {
    overflow: hidden;
  }

  .derko-bannerModel .block-heading {
    font-size: var(--paragraph-2);
    font-style: normal;
    font-weight: var(--weight-normal);
    line-height: 1.375rem;
    letter-spacing: 0.04rem;
    max-width: 62%;
  }

  .derko-bannerModel .block-price {
    font-size: 0.75rem;
    font-style: normal;
    line-height: 1rem;
    letter-spacing: 0.03rem;
  }

  .derko-bannerModel .block-price {
    font-size: 0.75rem;
    font-style: normal;
    line-height: 1rem;
    letter-spacing: 0.03rem;
  }

  .block-price>h2 {
    font-size: 1.5rem;
    line-height: 2rem;
    padding-bottom: 1.2rem;
  }

  .derko-bannerModel .Price-for {
    font-family: var(--font-family-1);
    font-style: normal;
    font-weight: var(--weight-normal);
    font-size: 0.875rem;
    line-height: 140%;
    text-transform: lowercase;
    margin-bottom: 0.2rem;
  }

  .black-btn {
    font-weight: 600;
    font-size: 16px;
  }

  .derko-bannerModel .containerToGoUpBannerCTA {
    left: 0;
  }

  .boxBannerCTA {
    left: calc(2% + 1.5rem);
  }
}

@media (max-width: 600px) {
  .derko-bannerModel img.boxBannerImageModel {
    min-height: 14rem;
  }

  .derko-bannerModel .containerToGoUpBannerCTA {
    top: -25px;
    margin: 0px 1rem;
  }

  .text_banner_modelo {
    min-width: 17.1rem;
    min-height: 12.1rem;
    padding: 0.5rem 1.5rem;
  }

  .text_banner_modelo .large-heading {
    font-size: 1.5rem;
    font-weight: 400;
    line-height: 1.875rem;
    letter-spacing: 0em;
    text-align: left;
  }

  .text_banner_modelo .block-heading,
  .text_banner_modelo .Price-for {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.43rem;
    letter-spacing: 0em;
    text-align: left;
  }

  .boxBannerTextModelP {
    position: relative;
    background-color: var(--black);
    margin: 0;
    z-index: 2;
  }

  .boxBannerTextModelP>div>h1,
  .boxBannerTextModelP>div>h2,
  .boxBannerTextModelP>div>p {
    padding: 1rem 2rem;
  }

  .car-configurator_button_wrapper {
    display: flex;
    flex-direction: row-reverse;
  }

  .Arrow-Button-Banner-black {
    flex: 1 1 auto;
    padding-bottom: 0.2rem;
    width: 100%;
  }

  .Arrow-Button-Banner-White {
    flex: 1 1 auto;
    width: 100%;
  }

  .buttons_black {
    max-width: 200000px !important;
    width: 100%;
  }

  .buttons_white {
    max-width: 100%;
    width: 100%;
    padding: 13px;
  }

  .derko-bannerModel .gradient:after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: inline-block;
    background: -moz-linear-gradient(0deg,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0) 100%);
    /* FF3.6+ */
    background: -webkit-linear-gradient(0deg,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0) 100%);
    /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(0deg,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0) 100%);
    /* Opera 11.10+ */
    background: -ms-linear-gradient(0deg,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0) 100%);
    /* IE10+ */
    background: linear-gradient(0deg,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0) 100%);
    /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#FF000000', endColorstr='#00000000', GradientType=0);
    /* IE6-9 */
  }

  .boxBannerCTA {
    top: -1px;
    background: black;
    left: 0rem;
    width: 100%;
    position: relative;
    text-align: -webkit-center;
  }

  .text_banner_CTA {
    text-align: left;
    width: auto;
    /* left: 1.5rem; */
    position: relative;
  }

  .p_banner_cta {
    font-size: 1rem;
    text-wrap: wrap;
    padding-bottom: 1rem;
    padding-top: 1rem;
  }

  .marcaSvg svg {
    width: 7.173rem;
    height: auto;
  }

  .derko-bannerModel .large-heading {
    font-size: 24px;
    line-height: 29px;
  }

  .derko-bannerModel .block-heading {
    font-size: 14px;
    line-height: 22px;
  }

  .derko-bannerModel .block-price {
    font-size: 12px;
    line-height: 14px;
  }

  .derko-bannerModel .Price-for {
    font-size: 14px;
    line-height: 20px;
  }
}

@media (max-width: 592px) {
  .hero-banner__dynamic-view__banner-content {
    background-image: linear-gradient(360deg, #000 43%, rgba(0, 0, 0, 0) 63%);
    width: 100%;
    height: 100%;
    padding: 7rem 1rem 1.5rem 1.5rem;
    margin-top: 12%;
  }

  .hero-banner__dynamic-view {
    height: 20rem;
  }

  .hero-banner__dynamic-view>picture>img {
    object-fit: cover;
    aspect-ratio: 8/4;
  }
}

@media (max-width: 360px) {
  .hero-banner__dynamic-view {
    height: 15rem;
  }
}

@media (max-width: 460px) {
  .hero-banner__dynamic-view>picture>img {
    object-fit: cover;
    aspect-ratio: 6/3;
  }

  .hero-banner__dynamic-view__banner-content {
    background-image: linear-gradient(360deg,
        #000 27.62% 50%,
        rgba(0, 0, 0, 0) 67%);
    height: 90%;
    padding: 9rem 1rem 1.5rem 1.5rem;
  }

  .large-heading p {
    font-size: 24px;
  }
}